Bug 103865 - two bugs in rpmal that may lead to segfaults
Summary: two bugs in rpmal that may lead to segfaults
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: GinGin64
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-05 20:46 UTC by Michael Schröder
Modified: 2007-04-18 16:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-26 16:55:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (607 bytes, patch)
2003-09-05 20:47 UTC, Michael Schröder
no flags Details | Diff

Description Michael Schröder 2003-09-05 20:46:54 UTC
1) the search for the last hit of the match in rpmalAllSatisfiesDepend()
   may check one element too much, the "<=" should be "<".
2) rpmalMakeIndex should set ai->size to the actual number of elements, as
   some of them may be skipped if the color doesn't match.

Comment 1 Michael Schröder 2003-09-05 20:47:39 UTC
Created attachment 94263 [details]
proposed patch

Comment 2 Jeff Johnson 2003-12-26 16:55:22 UTC
Hmmm, thouhght I just closed this.

1) is definite bug, been fixed several times, will get it right
eventually.

2) is bug iff _transaction_color !- 0 or 3, noone has tried that
config afaik. Nice catch.

Thanks for patch, added to rpm-4.3.


Note You need to log in before you can comment on or make changes to this bug.